#143 django-contact-form version mismatch

closed
nobody
None
5
2011-08-30
2011-08-30
Anonymous
No

the version of django-contact-form in PyPI is 0.3.1
however the version on bitbucket (the project has moved from google code) is 0.3
where has the version in PyPI come from?

Discussion

  • Do you literally want to know where this version has come from? It was uploaded by the package owner.

     
    • status: open --> closed
     
  • The current package, version 0.3.1, is not the package it purports to be: James Bennett's package from http://code.google.com/p/django-contact-form/ (which has been moved to https://bitbucket.org/ubernostrum/django-contact-form/\) and is at version 0.3. For example, this 0.3.1 package has a models.py that James' package does not have. This causes unexpected issues when using pip to install 'django-contact-form' because the resulting installed package is not the expected package.

    On a related note, is it possible for a PyPI member to contact a Package Index Owner directly to report this type of issue?

     
  • There is no user interface to contact the package owner, or otherwise learn her email address, unless you are the package author (in which case we reveal the email address to you). I just sent a message to the package owner asking for clarification.